Subject: bug#63318: Variable ediff-auto-refine doesn't always default to "on"

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 May 2023 09:17:27 +0300

> Date: Fri, 5 May 2023 21:21:50 +0100 (BST)
> From: Peter Oliver <[email-masked]>
> 
> Document that variable ediff-auto-refine doesn't always default to "on".

Wouldn't it be better to instead fix this, so that the default is
always "on"?

Why doesn't Ediff turn on ediff-auto-refine for all terminals?
AFAICT, it only needs faces (basically, colors), and we support that
on all terminals nowadays?  So I think we should simply change the
default value (which will also solve bug#63317).  Or what am I
missing?